Apis::V4::PeopleSearch API

search people in specific organizations

Parameters

Name Description
access_token JSON Web Token retrieved from the Sessions endpoint (you can also passthis into the Authorization header)
q search string, the system will try to search by first and last name, or email address if you include a '@'
limit max number of people to return. Defaults to 10.
organization_ids (optional) only look in these organizations
fields hash of fields you want for model types. the person type will default to these fields: first_name,last_name,gender,primary_email_address. But you could request picture if you want to receive that as well.

Request

Headers

Version: HTTP/1.0
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDU0MDIxOCwiaWF0IjoxNzk0NTQwMDM4fQ.J-W4V2iYhyfxGRlpeF7RgzYG1nXnUxpDWfgqzCQsOqQ
Host: example.org
Cookie: 

Route

GET /apis/v4/search?q=Ultr&organization_ids=108%2C106&limit=10

Query Parameters

q=Ultr
organization_ids=108,106
limit=10

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/vnd.api+json
Vary: Accept
X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDcxMjgzOCwiaWF0IjoxNzk0NTQwMDM4fQ.MwRFa26VRddOPdRad9G3LeBQKiBzAGBvWuP9eEfevFM
Access-Control-Expose-Headers: X-MH-Session
ETag: W/"fe7fdb8eed347fbecd0aaec1c1f9546c"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: b381086c-88f6-4654-befb-a83c6053a501
X-Runtime: 0.129462
Content-Length: 3042

Status

200

Body